<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="7"
      :sm="24"
    >
      <factory-left ref="left" 
      @clearSelectList ="clearSelectList" 
      @reloadUi="reloadUi"
      @getParentEnterprise="getParentEnterprise"
      @getUpdatePermission="getUpdatePermission"
      :versionStatus="versionStatus"
      :factoryInfo="factoryInfo"
      />
    </a-col>
    <a-col
      :md="24-7"
      :sm="24"
    >
      <factory-model-list 
      :parentId="parentId"
      :updatePermission="updatePermission"
      ref="right" 
      @changeVersion="changeVersion"
      @changeVersionStatus="changeVersionStatus"
      @reloadUi="reloadUi"
      @getFactoryInfo="getFactoryInfo"
      />
    </a-col>
  </a-row>
</template>
<script>
import FactoryLeft from './modules/factory/FactoryLeft'
import FactoryRight from './modules/factory/FactoryRight'
import { JeecgListMixin } from '@/mixins/JeecgListMixin'
import FactoryModelList from './modules/factory/FactoryModelList.vue'
export default {
  name: 'FactoryManager',
  components: {
    FactoryLeft,
    FactoryRight,
    JeecgListMixin,
    FactoryModelList 
  },
  data() {
    
    return {
      description: '工厂/车间/产线建模',
      version:0,
      factoryInfo:{},
      versionStatus:'',
      enterpriseId:'',
      parentId:'',
      updatePermission:false,
    }
  },
  methods: {
    getParentEnterprise(parentId){
      this.parentId = parentId;
    },
    changeVersion(version){
      this.version=version
    },

    getFactoryInfo(val){
      this.factoryInfo=val;
    },
    getUpdatePermission(val){
      console.log(val)
      this.updatePermission=val;
    },
    clearSelectList(){
      this.$refs.right.clearSelectList();
    },
    changeVersionStatus(versionStatus){
       this.versionStatus=versionStatus
    },
    reloadUi(){
      this.$refs.left.reloadUi();
    },
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>